extends Node

@export var player: CharacterBody2D
@export var markers: Node2D

# Public Methods
func _ready() -> void:
	var marker_name := MapLoader.GetSpawnMarker()
	if !marker_name:
		return
	
	for child in markers.get_children():
		if child.name == marker_name:
			var marker := child as Marker2D
			var position := marker.global_position
			player.position = position
